VisualEditor: Clearer message when cancelling out of active edit
Closed, ResolvedPublic

Description

An English Wikipedia user requests clarification of the "cancel" process, saying:

"If you open a page in the VisualEditor, make a few changes, and then decide to hit the "Cancel" button, you get a message that says "Are you sure you want to go back to view mode without saving first?". The options are "OK" and "Cancel", which aren't really proper answers to this yes/no question. As such, I'd like to request that instead the buttons be replaced with "Yes" and "No", which are clear responses to the question. -Thunderforge (talk) 21:36, 6 July 2013 (UTC)"


Version: unspecified
Severity: enhancement

bzimport set Reference to bz50955.
Mdennis-WMF created this task.Via LegacyJul 8 2013, 4:41 PM
Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 5:18 AM

Unfortunately we can't actually replace the "OK" and "Cancel" buttons' text - that's supplied by the browser as is unchangeable.

What we can do is tweak the message so it's clear what this does, perhaps. Any ideas what might work better?

bzimport added a comment.Via ConduitJul 19 2013, 4:29 AM

ignatzmice.wiki wrote:

See bug 51655, which should probably be closed as a duplicate. (On enwiki I'd say "merge".)

Jdforrester-WMF added a comment.Via ConduitJul 19 2013, 9:05 PM
  • Bug 51655 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJul 19 2013, 9:06 PM

From bug 51655 comment 1:

The confirmation dialog should have more descriptive buttons, such as
[Discard edits] [Continue editing]
, or
[Leave editing mode] [Return to editing]
, etc.
For this to happen, it needs to become a jQuery dialog.
In fact, VE shouldn't use native confirm() dialogs; the implementation in
most browsers is crappy.
bzimport added a comment.Via ConduitAug 8 2013, 3:43 PM

ignatzmice.wiki wrote:

A user suggests [Return to editor] [Exit without saving]. https://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&diff=567692036

gerritbot added a comment.Via ConduitApr 29 2014, 5:52 PM

Change 130394 had a related patch set uploaded by Alex Monk:
Swap from using native confirm() to using an OOUI dialog when cancelling

https://gerrit.wikimedia.org/r/130394

gerritbot added a comment.Via ConduitMay 7 2014, 9:26 PM

Change 132113 had a related patch set uploaded by Alex Monk:
Add confirmation dialog

https://gerrit.wikimedia.org/r/132113

gerritbot added a comment.Via ConduitMay 8 2014, 10:14 PM

Change 132316 had a related patch set uploaded by Alex Monk:
Add confirmation dialog messages to MW core

https://gerrit.wikimedia.org/r/132316

gerritbot added a comment.Via ConduitMay 8 2014, 10:27 PM

Change 132318 had a related patch set uploaded by Alex Monk:
Register OOUI confirmation dialog with windowFactory

https://gerrit.wikimedia.org/r/132318

gerritbot added a comment.Via ConduitMay 14 2014, 5:08 PM

Change 132113 merged by jenkins-bot:
Add confirmation dialog

https://gerrit.wikimedia.org/r/132113

gerritbot added a comment.Via ConduitMay 14 2014, 9:24 PM

Change 132318 merged by jenkins-bot:
Update OOjs UI to v0.1.0-pre (80f1797a5c)

https://gerrit.wikimedia.org/r/132318

gerritbot added a comment.Via ConduitMay 14 2014, 9:35 PM

Change 132316 merged by jenkins-bot:
Update OOjs UI to v0.1.0-pre (80f1797a5c)

https://gerrit.wikimedia.org/r/132316

gerritbot added a comment.Via ConduitMay 14 2014, 11:02 PM

Change 130394 merged by jenkins-bot:
Swap from using native confirm() to using an OOUI dialog when cancelling

https://gerrit.wikimedia.org/r/130394

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.